Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.common
Interface LogServicesDef

Deprecated. Deprecated in WebLogic Server 7.0.

Use the Java internationalization APIs or, if internationalization is not required, use `weblogic.logging.NonCatalogLogger`.

public interface LogServicesDef

The LogServicesDef interface defines application logging services for the WebLogic Server.

Author:
  Copyright (c) 1996-98 by WebLogic, Inc. All Rights Reserved., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.

Method Summary
`void` | `debug(java.lang.String s)` Deprecated. Deprecated in WebLogic Server 6.1.
`void` | `error(java.lang.String s)` Deprecated. Deprecated in WebLogic Server 6.1.
`void` | `error(java.lang.String msg, java.lang.String stackTrace)` Deprecated. Throwables be left in their raw form rather than stringified so that loggers can manipulate them. Use error(String, Throwable) instead.
`void` | `error(java.lang.String msg, java.lang.Throwable th)` Deprecated. Deprecated in WebLogic Server 6.1.
`void` | `error(java.lang.Throwable th)` Deprecated. Throwables should be accompanied by a text explanation. Use error(String, Throwable) instead.
`void` | `info(java.lang.String msg)` Deprecated. Deprecated in WebLogic Server 6.1.
`void` | `info(java.lang.String msg, java.lang.Throwable th)` Deprecated. Deprecated in WebLogic Server 6.1.
`void` | `log(java.lang.String msg)` Deprecated. Use a more specific method such as info, error, or warning
`void` | `log(java.lang.String msg, java.lang.Throwable th)` Deprecated. Use a more specific method such as info, error, or warning
`void` | `security(java.lang.String s)` Deprecated. Only the security service should log security messages.
`void` | `warning(java.lang.String s)` Deprecated. Deprecated in WebLogic Server 6.1.

Method Detail

### log

    public void log(java.lang.String msg)
             throws T3Exception

  Deprecated. Use a more specific method such as info, error, or warning
  Logs a message in the log file.

  Parameters:
    `msg` - Message to be written to the log file
  Throws:
    T3Exception - if the log message cannot be written

### log

    public void log(java.lang.String msg,
                    java.lang.Throwable th)
             throws T3Exception

  Deprecated. Use a more specific method such as info, error, or warning
  Logs an error in the log file.

  Parameters:
    `msg` - Message to be written to the log file
    `th` - Error that prompted this log message
  Throws:
    T3Exception - if the message cannot be written

### info

    public void info(java.lang.String msg)
              throws T3Exception

  Deprecated. Deprecated in WebLogic Server 6.1.
  Logs an info message in the log file.

  Parameters:
    `msg` - Message to be written to the log file
  Throws:
    T3Exception - if the message cannot be written

### info

    public void info(java.lang.String msg,
                     java.lang.Throwable th)
              throws T3Exception

  Deprecated. Deprecated in WebLogic Server 6.1.
  Logs an info message in the log file.

  Parameters:
    `msg` - Message to be written to the log file
    `th` - Error that prompted this log message
  Throws:
    T3Exception - if the message cannot be written

### error

    public void error(java.lang.String msg,
                      java.lang.Throwable th)
               throws T3Exception

  Deprecated. Deprecated in WebLogic Server 6.1.
  Logs an error in the log file.

  Parameters:
    `msg` - Message to be written to the log file
    `th` - Error that prompted this log message
  Throws:
    T3Exception - if the message cannot be written

### error

    public void error(java.lang.Throwable th)
               throws T3Exception

  Deprecated. Throwables should be accompanied by a text explanation. Use error(String, Throwable) instead.
  Logs an error in the log file for a Throwable.

  Parameters:
    `th` - Throwable that prompted this log message
  Throws:
    T3Exception - if the message cannot be written

### error

    public void error(java.lang.String s)
               throws T3Exception

  Deprecated. Deprecated in WebLogic Server 6.1.
  Logs the specified string as an error in the log file.

  Parameters:
    `s` - String message
  Throws:
    T3Exception - if the message cannot be written

### error

    public void error(java.lang.String msg,
                      java.lang.String stackTrace)
               throws T3Exception

  Deprecated. Throwables be left in their raw form rather than stringified so that loggers can manipulate them. Use error(String, Throwable) instead.
  Logs the specified string and stacktrace as an error in the log file.

  Parameters:
    `msg` - String message
    `stackTrace` - Stack trace
  Throws:
    T3Exception - if the message cannot be written

### warning

    public void warning(java.lang.String s)
                 throws T3Exception

  Deprecated. Deprecated in WebLogic Server 6.1.
  Logs the specified string as a warning message in the log file.

  Parameters:
    `s` - String message
  Throws:
    T3Exception - if the message cannot be written

### security

    public void security(java.lang.String s)
                  throws T3Exception

  Deprecated. Only the security service should log security messages.
  Logs the specified string as a security flag in the log file.

  Parameters:
    `s` - String message
  Throws:
    T3Exception - if the message cannot be written

### debug

    public void debug(java.lang.String s)
               throws T3Exception

  Deprecated. Deprecated in WebLogic Server 6.1.
  Logs the specified string as a debug message in the log file.

  Parameters:
    `s` - String message
  Throws:
    T3Exception - if the message cannot be written

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference